Package ghidra.program.model.data

# Enum Class GenericCallingConvention

java.lang.Object
java.lang.Enum<GenericCallingConvention>
ghidra.program.model.data.GenericCallingConvention

All Implemented Interfaces:
  `Serializable`, `Comparable<GenericCallingConvention>`, `Constable`

public enum GenericCallingConvention extends Enum<GenericCallingConvention>
Deprecated.
Calling convention name strings should be used instead of this class. `CompilerSpec` provides constants for those included in this enumeration and other setter/getter methods exist for using the string form.
`GenericCallingConvention` identifies the generic calling convention associated with a specific function definition. This can be used to help identify the appropriate compiler-specific function prototype (i.e., calling convention).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `cdecl`
  Deprecated.
  The standard/default calling convention applies in which the stack is used to pass parameters
  `fastcall`
  Deprecated.
  A standard/default calling convention applies in which only registers are used to pass parameters
  `stdcall`
  Deprecated.
  A MS Windows specific calling convention applies in which the called-function is responsible for purging the stack.
  `thiscall`
  Deprecated.
  A C++ instance method calling convention applies
  `unknown`
  Deprecated.
  The calling convention has not been identified
  `vectorcall`
  Deprecated.
  Similar to fastcall but extended vector registers are used

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GenericCallingConvention`
  `get(int ordinal)`
  Deprecated.
  Returns the GenericCallingConvention corresponding to the specified ordinal.
  `String`
  `getDeclarationName()`
  Deprecated.
  `static GenericCallingConvention`
  `getGenericCallingConvention(String callingConvention)`
  Deprecated.
  Returns the GenericCallingConvention corresponding to the specified type string or unknown if name is not defined.
  `String`
  `toString()`
  Deprecated.
  `static GenericCallingConvention`
  `valueOf(String name)`
  Deprecated.
  Returns the enum constant of this class with the specified name.
  `static GenericCallingConvention[]`
  `values()`
  Deprecated.
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### unknown

    public static final GenericCallingConvention unknown
    Deprecated.
    The calling convention has not been identified

  - ### stdcall

    public static final GenericCallingConvention stdcall
    Deprecated.
    A MS Windows specific calling convention applies in which the called-function is responsible for purging the stack.

  - ### cdecl

    public static final GenericCallingConvention cdecl
    Deprecated.
    The standard/default calling convention applies in which the stack is used to pass parameters

  - ### fastcall

    public static final GenericCallingConvention fastcall
    Deprecated.
    A standard/default calling convention applies in which only registers are used to pass parameters

  - ### thiscall

    public static final GenericCallingConvention thiscall
    Deprecated.
    A C++ instance method calling convention applies

  - ### vectorcall

    public static final GenericCallingConvention vectorcall
    Deprecated.
    Similar to fastcall but extended vector registers are used

- ## Method Details

  - ### values

    public static GenericCallingConvention[] values()
    Deprecated.
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GenericCallingConvention valueOf(String name)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDeclarationName

    public String getDeclarationName()
    Deprecated.

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Enum<GenericCallingConvention>`

  - ### getGenericCallingConvention

    public static GenericCallingConvention getGenericCallingConvention(String callingConvention)
    Deprecated.
    Returns the GenericCallingConvention corresponding to the specified type string or unknown if name is not defined.
    Parameters:
      `callingConvention` - calling convention declaration name (e.g., "__stdcall"). Enum name is also allowed for backward compatibility.
    Returns:
      GenericCallingConvention or `unknown` if not found.

  - ### get

    public static GenericCallingConvention get(int ordinal)
    Deprecated.
    Returns the GenericCallingConvention corresponding to the specified ordinal.
    Parameters:
      `ordinal` - generic calling convention ordinal
    Returns:
      GenericCallingConvention